Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 275597 - media-libs/libogg-1.1.4 does not install .la, but it should
Summary: media-libs/libogg-1.1.4 does not install .la, but it should
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
: 275653 275692 275693 276035 276253 277130 277435 277693 290050 290074 292761 305699 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-06-27 12:43 UTC by Alexander Huemer
Modified: 2010-02-18 09:48 UTC (History)
24 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Huemer 2009-06-27 12:43:03 UTC
ebuild media-libs/libogg/libogg-1.1.4.ebuild v 1.1 contains the line (28)
find "${D}" -name '*.la' -delete
at least www-client/epiphany-2.26.2 fails because of that.

/bin/grep: /usr/lib64/libogg.la: No such file or directory
/bin/sed: can't read /usr/lib64/libogg.la: No such file or directory
libtool: link: `/usr/lib64/libogg.la' is not a valid libtool archive

i removed the deleting find commando of libogg-1.1.4 in a local overlay.
re-emerged libogg-1.1.4 and epiphany-2.26.2.
works as expected.

i don't know if removing that file was done only because it seemed to be unneeded or if it breaks something else, but things look better with it.

Reproducible: Always

Steps to Reproduce:
Comment 1 Jeroen Roovers gentoo-dev 2009-06-27 12:48:02 UTC
1) Your `emerge --info' is missing.
2) Did you run dev-util/lafilefixer before you filed this bug report? The .la file was dropped intentionally:

*libogg-1.1.3-r1 (18 Apr 2008)

  18 Apr 2008; Diego Pettenò <flameeyes@gentoo.org>
  +libogg-1.1.3-r1.ebuild:
  Revision bump to drop libtool .la files.
Comment 2 Alexander Huemer 2009-06-27 13:17:37 UTC
no, i did not use lafilefixer.
it works now.
sorry for the inconvenience.
is there some kind of documentation for lafilefixer? i do not find anything, e.g. when to use it.
Comment 3 Jouni Rinne 2009-06-27 18:53:05 UTC
I stumbled on the same problem, too. Lafilefixer fixed the problem, of course... but there SHOULD, repeat SHOULD be an einfo or something similar on package bumps, when .la files are removed, telling users to run lafilefixer if/when problems occur. We users are not mind readers, you know :)
Comment 4 Rafał Mużyło 2009-06-28 02:37:26 UTC
*** Bug 275653 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Pielmeier gentoo-dev 2009-06-28 15:41:29 UTC
*** Bug 275692 has been marked as a duplicate of this bug. ***
Comment 6 Daniel Pielmeier gentoo-dev 2009-06-28 15:41:32 UTC
*** Bug 275693 has been marked as a duplicate of this bug. ***
Comment 7 Steve Kutnar 2009-06-28 17:46:30 UTC
I second comment 3.
Comment 8 Wirt Wolff 2009-06-28 22:28:33 UTC
With libogg-1.1.4, then running lafilefixer, libsndfile and xine-lib fail to emerge due to not finding libogg.la -- should this be bugs filed against them, or against lafilefixer? Or am I just doing something wrong? Other installed packages need libsndfile and xine-lib.
-------------------------------

Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.10.1-r0, 2.6.27-gentoo-r7 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r7-x86_64-Intel-R-_Core-TM-2_Quad_CPU_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 28 Jun 2009 09:15:01 +0000
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r3, 2.6.2-r1
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=core2 -O2"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS=""
FEATURES="collision-protect distlocks fixpackages metadata-transfer multilib-strict parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS=""
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/haskell /usr/local/portage/layman/akoya /usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 ares bash-completion berkdb binary-drivers branding bzip2 cairo cdr cli cracklib crypt cups dbus doc dri dvd dvdr dvdread eds emboss encode esd evo exif flac foomaticdb fortran gdbm gif gpm gstreamer gtk hal iconv ipv6 isdnlog jbig jpeg jpeg2k kde lcms ldap libnotify libsamplerate lm_sensors logrotate mad midi mikmod mmx mp3 mpeg mudflap multilib ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pcre pdf perl png postgres ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl session smp spell spl sqlite sse sse2 ssl ssse3 startup-notification svg sysfs tcpd tiff truetype type1 unicode usb vim-syntax vorbis xft xinerama xml xorg xpm xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev wacom mouse keyboard" KERNEL="linux" LCD_DEVICES="ncurses text" USERLAND="GNU" VIDEO_CARDS="nvidia vmware s3virge"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 9 Wirt Wolff 2009-06-28 22:47:53 UTC
Hmm, revdep --rebuild succesfully emerged libsndfile and xine-lib.
Comment 10 Rémi Cardona gentoo-dev 2009-06-29 08:47:30 UTC
revdep-rebuild should be enough to clear up the situtation (barring circular deps)

Now, I don't really like .la files. In fact, I hate them for various reasons. But again, removing them like that probably worse than having them around.

Either we come up with a portage-wide or project-wide (X, gnome, sound, ...) plan to remove them in one shot, or we don't do it at all. Breaking one package per week is the best way to upset users.

Thanks
Comment 11 Mart Raudsepp gentoo-dev 2009-06-29 09:18:02 UTC
Hence please reintroduce the .la files ASAP and don't remove them again until there is a global plan to fix this, or libtool itself.
Comment 12 Steffen 'j0inty' Stollfuß 2009-06-29 13:56:31 UTC
Hi,

today I ran into the same problem but "# lafilefixer --justfixit" repairs it and then the vlc compiled fine again.

libtool: link: x86_64-pc-linux-gnu-gcc -std=gnu99 -shared  .libs/libfake_plugin_la-fake.o   -Wl,-rpath -Wl,/var/tmp/portage/media-video/vlc-0.9.9a-r1/work/vlc-0.9.9a/src/.libs ../../src/.libs/libvlccore.so -lrt -lpthread -ldl -lm  -march=k8-sse3 -Wl,-O1   -Wl,-soname -Wl,libfake_plugin.so -o .libs/libfake_plugin.so
/bin/grep: /usr/lib64/libogg.la: No such file or directory
libtool: link: ( cd ".libs" && rm -f "libfaad_plugin.la" && ln -s "../libfaad_plugin.la" "libfaad_plugin.la" )
/bin/sed: can't read /usr/lib64/libogg.la: No such file or directory
libtool: link: `/usr/lib64/libogg.la' is not a valid libtool archive

j0inty
Comment 13 Alexis Ballier gentoo-dev 2009-06-30 09:31:06 UTC
(In reply to comment #11)
> Hence please reintroduce the .la files ASAP and don't remove them again until
> there is a global plan to fix this, or libtool itself.

I heard that more than one year ago and have never heard back of any improvement... apart from lafilefixer which I consider a good reason to let the .la file be removed. Moreover I see absolutely no point in reintroducing the .la file now. For me this bug is invalid, the only valid point is that there should be a note about the need to run lafilefixer, but I'll leave it open for now if people want to discuss.
Comment 14 Stefan de Konink 2009-06-30 09:49:42 UTC
(In reply to comment #13)
> For me this bug is invalid, 

Reality check?

> the only valid point is that there
> should be a note about the need to run lafilefixer, but I'll leave it open for
> now if people want to discuss.

lafilefixer is not even part of the base install and it is marked as unstable...
Comment 15 Daniel Pielmeier gentoo-dev 2009-06-30 10:55:08 UTC
A note about lafilefixer (like dev-libs/libpcre-7.9-r1 does now) should be added to every package that removes this kind of files. Lafilefixer is stable on most arches but a few are missing. See stable request bug #267148.

A better solution would be adding portage support for fixing the *.la files as proposed in bug #271129.
Comment 16 Bernard Cafarelli gentoo-dev 2009-07-01 08:06:56 UTC
*** Bug 276035 has been marked as a duplicate of this bug. ***
Comment 17 Daniel Pielmeier gentoo-dev 2009-07-02 07:51:42 UTC
(In reply to comment #15)
> See stable request bug #267148.

Looks like I mixed things up, above mentioned bug was the keyword request, the stable request is bug #274202.
Comment 18 Alexis Ballier gentoo-dev 2009-07-02 17:00:54 UTC
*** Bug 276253 has been marked as a duplicate of this bug. ***
Comment 19 Alexis Ballier gentoo-dev 2009-07-02 17:06:01 UTC
(In reply to comment #15)
> A note about lafilefixer (like dev-libs/libpcre-7.9-r1 does now) should be
> added to every package that removes this kind of files. 

I've copied the elog message from libpcre -> closing.
Comment 20 Jesús Guerrero Botella (RETIRED) gentoo-dev 2009-07-08 20:23:32 UTC
So how's this fixed when it's still hitting us?

vlc failed to build, today 1.0 went out and failts to build. The jack audio connection kit fails to build, there are probably more packages that fails to build due to this thing. 

In all the cases, reverting to libogg-1.1.3 let you compile the packages. Undating to 1.1.4 breaks them. How to proceed since this is marked as "resolved fixed" ?
Comment 21 Samuli Suominen gentoo-dev 2009-07-08 20:47:16 UTC
there's a elog message et end of libogg installation that tells you how

basically "emerge lafilefixer" and "lafilefixer --justfixit" iirc
Comment 22 Samuli Suominen gentoo-dev 2009-07-09 23:44:53 UTC
*** Bug 277130 has been marked as a duplicate of this bug. ***
Comment 23 Rafał Mużyło 2009-07-11 17:44:14 UTC
*** Bug 277435 has been marked as a duplicate of this bug. ***
Comment 24 Samuli Suominen gentoo-dev 2009-07-13 18:57:04 UTC
*** Bug 277693 has been marked as a duplicate of this bug. ***
Comment 25 Manolis Stamatogiannakis 2009-07-22 12:37:40 UTC
As comment #21 says, there is a note for running lafilefixer when you emerge libogg:
 * This version of libogg has stopped installing .la files. This may
 * cause compilation failures in other packages. To fix this problem,
 * install dev-util/lafilefixer and run:
 * lafilefixer --justfixit

However this doesn't work for the case of vlc because libogg.la is just missing. lafilefixer does not create it and is not supposed to create it (copying from lafilefixer help):
  Usage: lafilefixer [OPTION] [FILE|DIR]...
  Fix .la libtool archives to list libraries, not .la files in dependency_libs and
  do some minor fixups, moving -pthread to inherited_linker_flags if available and
  eliminating duplicate library listings.

It is clear that lafilefixer is not a solution for the reported problem. 

Because there is a notice somewhere that lafilefixer fixes some bugs, it does not mean that it fixes every la related bug.

Could someone reopen the bug or provide adequate explanation on how to use lafilefixer to generate the missing /usr/lib/libogg.la?
Comment 26 Steve Kutnar 2009-07-22 13:53:02 UTC
I'm not sure what issues you're having, but after I ran lafilefixer, VLC and all other packages that originally wanted libogg.la were re-emerged without issue.
Comment 27 Ciprian Ciubotariu 2009-10-16 15:31:57 UTC
/bin/grep: /usr/lib64/libogg.la: No such file or directory                                                                                                                                                                       
/bin/sed: can't read /usr/lib64/libogg.la: No such file or directory                                                                                                                                                             
libtool: link: `/usr/lib64/libogg.la' is not a valid libtool archive                                                                                                                                                             
make[2]: *** [xineplug_dmx_ogg.la] Error 1                                                                                                                                                                                       
make[2]: *** Waiting for unfinished jobs....                                                                                                                                                                                     
libtool: link: x86_64-pc-linux-gnu-gcc -shared  .libs/xineplug_dmx_asf_la-demux_asf.o .libs/xineplug_dmx_asf_la-asfheader.o   -Wl,-rpath -Wl,/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/xine-engine/.libs ../../src/xine-engine/.libs/libxine.so -L/usr/lib64 -ldl -lm /usr/lib64/libfontconfig.so /usr/lib64/libfreetype.so -lz /usr/lib64/libexpat.so -lrt -lresolv -lnsl  -march=k8 -Wl,--no-undefined -Wl,-O1   -pthread -Wl,-soname -Wl,xineplug_dmx_asf.so -o .libs/xineplug_dmx_asf.so                                                                                                                                                                     
libtool: link: ( cd ".libs" && rm -f "xineplug_dmx_asf.la" && ln -s "../xineplug_dmx_asf.la" "xineplug_dmx_asf.la" )                                                                                                             
make[2]: Leaving directory `/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/demuxers'                                                                                                                
make[1]: *** [all-recursive] Error 1                                                                                                                                                                                             
make[1]: Leaving directory `/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src'                                                                                                                         
make: *** [all-recursive] Error 1                                                                                                                                                                                                
 *                                                                                                                                                                                                                               
 * ERROR: media-libs/xine-lib-1.1.16.3-r1 failed.                                                                                                                                                                                
[....]
 * If you need support, post the topmost build error, and the call stack if relevant.                                                                                                                                            
 * A complete build log is located at '/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/temp/build.log'.                                                                                                                         
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/temp/environment'.                                                                                                                
 *                                                                                                                                                                                                                               

That was today emerging -uDN world. I suppose RESOLVED FIXED is an overstatement at the current date.
Comment 28 Steve Kutnar 2009-10-16 16:28:07 UTC
(In reply to comment #27)
...
> 
> That was today emerging -uDN world. I suppose RESOLVED FIXED is an
> overstatement at the current date.
> 

Did you do the manual steps of emerging lafilefixer, running it (lafilefixer --justfixit), then re-emerging the affected packages?
Comment 29 Daniel Tremblay 2009-10-17 19:55:44 UTC
I've add the same problem too, today!

This bug is still unresolved as far as I can see.

I do emerge world regularly, and these type of bugs are really what makes me hate gentoo sometimes.  Don't get me wrong, I've been running Gentoo for 6 years, so I'm not giving up easily.

So running lafilefixer and revdep-rebuild fixes the problem, but it's a work around, not a fix.  How many Gentoo users are going to be baffled by this one and just re-install everything because of this?
Comment 30 Alexander Puchmayr 2009-10-18 12:18:32 UTC
I have to agree Daniel Tremblay and all the others who think that this bug is still there. 
The current situation is IMHO inacceptable, because 
* you (the poor guy who is trying to update a system) are expected to read each and every postinstall-note just to see if there are some extra-steps to take to avoid breaking *other* packages. Please just imagine you're updating 100+ packages and the relevant information is somewhere scrolled out ...
* Not everyone is so familiar with gentoo that he knows how to fix such problems, even if there is there is a note somewhere and even if its marked with red, flashing letters. It is different from the standard procedure using "emerge -uvD world" and revdep-rebuild, and there must be a very good reason to to leave that path, and it should be documented more clearly than in a postinstall-note somewhere in the middle of hundred irrelevant others.
* A gentoo-user should expect that any package of the stable-tree is emerging smoothly. In my case, both media-libs/xine-lib-1.1.16.3-r1 and media-libs/libogg-1.1.4 are marked stable, but libxine fails to emerge because libogg doesn't install all required files. IMHO, either mark a version of libogg not installing the .la-files as testing/unstable or avoid experiments like this. Breaking the stable tree and then complain about users not having read some hidden instructions is not a way to make friends.

Comment 31 Philip Hazel 2009-10-19 15:39:54 UTC
(In reply to comment #30)
> I have to agree Daniel Tremblay and all the others who think that this bug is
> still there. 

I have just run lafilefixer --justfixit, emerged libogg, then tried to emerge epiphany 2.26.3, and it failed for this reason. Justfixit doesn't seem to do what it claims. Apart from downgrading libogg, does anyone know an easy way round this?
Comment 32 Peter Alfredsen (RETIRED) gentoo-dev 2009-10-19 15:56:45 UTC
(In reply to comment #31)
> (In reply to comment #30)
> > I have to agree Daniel Tremblay and all the others who think that this bug is
> > still there. 
> 
> I have just run lafilefixer --justfixit, emerged libogg, then tried to emerge
> epiphany 2.26.3, and it failed for this reason. Justfixit doesn't seem to do
> what it claims. Apart from downgrading libogg, does anyone know an easy way
> round this?

Could you open a new bug with the build failure, including everything you've posted here? lafilefixer should have fixed the reference to libogg.la
CC me on it and I will look at it ASAP.

Comment 33 Steve Kutnar 2009-10-19 16:18:23 UTC
(In reply to comment #31)
> (In reply to comment #30)
> > I have to agree Daniel Tremblay and all the others who think that this bug is
> > still there. 
> 
> I have just run lafilefixer --justfixit, emerged libogg, then tried to emerge
> epiphany 2.26.3, and it failed for this reason. Justfixit doesn't seem to do
> what it claims. Apart from downgrading libogg, does anyone know an easy way
> round this?
> 

Could the order of operations matter?  I thought the process was to first emerge the new libogg, then run lafilefixer --justfixit, then finally re-emerging affected packages.  Perhaps running lafilefixer first causes something to remain "broken" after the libogg emerge.
Comment 34 Philip Hazel 2009-10-20 19:05:42 UTC
(In reply to comment #32)

> Could you open a new bug with the build failure, including everything you've
> posted here? lafilefixer should have fixed the reference to libogg.la
> CC me on it and I will look at it ASAP.

I have done this. The new bug is 289899.
Comment 35 Gilles Dartiguelongue gentoo-dev 2009-10-21 21:05:15 UTC
*** Bug 290050 has been marked as a duplicate of this bug. ***
Comment 36 Ben de Groot (RETIRED) gentoo-dev 2009-10-21 23:47:16 UTC
*** Bug 290074 has been marked as a duplicate of this bug. ***
Comment 37 Bart Van Loon 2009-10-22 16:29:20 UTC
(In reply to comment #33)
> Could the order of operations matter?  I thought the process was to first
> emerge the new libogg, then run lafilefixer --justfixit, then finally
> re-emerging affected packages.  Perhaps running lafilefixer first causes
> something to remain "broken" after the libogg emerge.
 
the way I see it is that in that case lafilefixer will (re)create the .la file for you, and the emerge process of libogg will remove it again. seems logical to me.

so:
1. emerge libogg (no need to re-emerge if it's there already)
2. run lafilefixer
3. emerge any affected package, like some gst-plugins, for example

the least I can say is that this fixed the problem for me. :-)
Comment 38 Steve Kutnar 2009-10-22 20:17:13 UTC
(In reply to comment #37)
> the way I see it is that in that case lafilefixer will (re)create the .la file
> for you, and the emerge process of libogg will remove it again. seems logical
> to me.
> 
> so:
> 1. emerge libogg (no need to re-emerge if it's there already)
> 2. run lafilefixer
> 3. emerge any affected package, like some gst-plugins, for example
> 
> the least I can say is that this fixed the problem for me. :-)
> 

From what I understand, lafilefixer doesn't create .la files.  It only corrects the information within them.  So, by installing the new libogg first, lafilefixer will correct any of the .la files that still refer to the now-missing libogg.la.
Comment 39 Andrea Zwirner 2009-10-26 10:32:32 UTC
1) emerge libogg
   ok. 
2) lafilefixer --justfixit
   ok.
3) emerge libsndfile
   failed. (missing libogg.la)

What SHOULD I do? :)

Thanks.


# emerge --info

Portage 2.1.6.13 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r6-i686-Intel-R-_Pentium-R-_M_processor_1200MHz-with-gentoo-1.12.11.1
Timestamp of tree: Mon, 26 Oct 2009 08:15:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.5.4-r3, 2.6.2-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=pentium-m -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-Os -march=pentium-m -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/ ftp://mirror.switch.ch/mirror/gentoo/ "
LDFLAGS="-Wl,-O1"
LINGUAS="it"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl alsa bash-completion berkdb bluetooth bzip2 cairo cddb cli consolekit cracklib crypt cups cupsddk dbus dri examples fortran freetype gdbm gnome gnome-keyring gpm gstreamer gtk hal iconv ipv6 isdnlog java jpeg jpeg2k libffi lzo modules mp3 mudflap ncurses nls nptl nptlonly offensive ogg opengl openmp pam pcre perl png postgres ppds pppd python qt-static qt3 readline reflection samba sdl session slang spell spl sse sse2 ssl startup-notification svg sysfs tcpd thunar tiff tk truetype unicode vorbis win32codecs wma x86 xcomposite xinerama xorg xscreensaver xterm zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="intel vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

Comment 40 Andrea Zwirner 2009-10-26 10:49:45 UTC
sorry. I was wrong.

(3) works, the command that didn't work was:

3bis) updatedb && locate *libogg*la

Thanks.

Andrea


(In reply to comment #39)
> 1) emerge libogg
>    ok. 
> 2) lafilefixer --justfixit
>    ok.
> 3) emerge libsndfile
>    failed. (missing libogg.la)
> 
> What SHOULD I do? :)
> 
> Thanks.
> 
> 
> # emerge --info
> 
> Portage 2.1.6.13 (default/linux/x86/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2,
> 2.6.30-gentoo-r6 i686)
> =================================================================
> System uname:
> Linux-2.6.30-gentoo-r6-i686-Intel-R-_Pentium-R-_M_processor_1200MHz-with-gentoo-1.12.11.1
> Timestamp of tree: Mon, 26 Oct 2009 08:15:02 +0000
> ccache version 2.4 [enabled]
> app-shells/bash:     4.0_p28
> dev-java/java-config: 2.1.9-r1
> dev-lang/python:     2.5.4-r3, 2.6.2-r1
> dev-util/ccache:     2.4-r7
> dev-util/cmake:      2.6.4
> sys-apps/baselayout: 1.12.11.1
> sys-apps/sandbox:    1.6-r2
> sys-devel/autoconf:  2.13, 2.63-r1
> sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
> sys-devel/binutils:  2.18-r3
> sys-devel/gcc-config: 1.4.1
> sys-devel/libtool:   2.2.6a
> virtual/os-headers:  2.6.27-r2
> ACCEPT_KEYWORDS="x86"
> CBUILD="i686-pc-linux-gnu"
> CFLAGS="-Os -march=pentium-m -pipe"
> CHOST="i686-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config
> /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
> /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d
> /etc/terminfo /etc/udev/rules.d"
> CXXFLAGS="-Os -march=pentium-m -pipe"
> DISTDIR="/usr/portage/distfiles"
> FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox
> sfperms strict unmerge-orphans userfetch"
> GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/
> ftp://mirror.switch.ch/mirror/gentoo/ "
> LDFLAGS="-Wl,-O1"
> LINGUAS="it"
> MAKEOPTS="-j2"
> PKGDIR="/usr/portage/packages"
> PORTAGE_CONFIGROOT="/"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress
> --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles
> --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
> USE="X aac acl alsa bash-completion berkdb bluetooth bzip2 cairo cddb cli
> consolekit cracklib crypt cups cupsddk dbus dri examples fortran freetype gdbm
> gnome gnome-keyring gpm gstreamer gtk hal iconv ipv6 isdnlog java jpeg jpeg2k
> libffi lzo modules mp3 mudflap ncurses nls nptl nptlonly offensive ogg opengl
> openmp pam pcre perl png postgres ppds pppd python qt-static qt3 readline
> reflection samba sdl session slang spell spl sse sse2 ssl startup-notification
> svg sysfs tcpd thunar tiff tk truetype unicode vorbis win32codecs wma x86
> xcomposite xinerama xorg xscreensaver xterm zlib" ALSA_CARDS="ali5451 als4000
> atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938
> es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx
> via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop
> empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul
> mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions
> alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file
> authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user
> autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires
> ext_filter file_cache filter headers include info log_config logio mem_cache
> mime mime_magic negotiation rewrite setenvif speling status unique_id userdir
> usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev"
> KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001
> mtxorb ncurses text" LINGUAS="it" USERLAND="GNU" VIDEO_CARDS="intel vesa fbdev"
> Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG,
> LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS,
> PORTDIR_OVERLAY
> 

Comment 41 Andreas K. Hüttel gentoo-dev 2009-10-26 11:59:21 UTC
(In reply to comment #40)
> sorry. I was wrong.
> 
> (3) works, the command that didn't work was:
> 
> 3bis) updatedb && locate *libogg*la
> 

That looks correct. lafilefixer fixes all _other_ la files, so they dont reference libogg.la anymore. So there is no libogg.la anymore, but after running lafilefixer that should not be a problem.
Comment 42 Oleg Mikheev 2009-10-27 06:55:39 UTC
Just ran into this. I tried to upgrade Gentoo profile and the process failed when it tried to compile gst-plugins-flac:
can't read /usr/lib/libogg.la

I ran lafilefixer --justfixit and started to work

My opinion: this is stupid to request users to run some command-line tool to make a package compile instead of running it from emerge. And 'request' it in the meanest form - make emerge fail and have fun while users are googling for the error message.

The next time you will start asking us to run 'patch' command manually to make a package compile, won't you?

And how dare you guys say that this bug is FIXED when users' package compilation still fails? Running a command manually is a WORKAROUND but it's definitely not a FIX.

Or am I misunderstanding something?
Comment 43 Casufi 2009-10-27 07:55:41 UTC
bug is not fixed, could someone reopen it ?
Comment 44 Markus Giese 2009-10-30 13:33:07 UTC
i also think "lafilefixer --justfixit" should be executed automatically ... and to close the bug is no real solution, i ran into this problem on x86 and amd64 machines (today and three days ago), why ? it has been known for 5 months ... somehow this is rediculous... or is there any reason why users are bothered with such small things?
Comment 45 dak 2009-10-31 13:31:37 UTC
NOT FIXED. Still causes xine-lib to die with no mention of lafilefixer. 

/bin/grep: /usr/lib64/libogg.la: No such file or directory
/bin/sed: can't read /usr/lib64/libogg.la: No such file or directory
libtool: link: `/usr/lib64/libogg.la' is not a valid libtool archive
make[2]: *** [xineplug_dmx_ogg.la] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: link: x86_64-pc-linux-gnu-gcc -shared  .libs/xineplug_dmx_asf_la-demux_asf.o .libs/xineplug_dmx_asf_la-asfheader.o   -Wl,-rpath -Wl,/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/xine-engine/.libs ../../src/xine-engine/.libs/libxine.so -L/usr/lib64 -ldl -lm /usr/lib64/libfontconfig.so /usr/lib64/libfreetype.so -lz /usr/lib64/libexpat.so -lrt -lresolv -lnsl  -march=opteron -msse3 -Wl,--no-undefined -Wl,-O1   -pthread -Wl,-soname -Wl,xineplug_dmx_asf.so -o .libs/xineplug_dmx_asf.so
libtool: link: x86_64-pc-linux-gnu-gcc -shared  .libs/demux_ts.o   -Wl,-rpath -Wl,/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/xine-engine/.libs ../../src/xine-engine/.libs/libxine.so -L/usr/lib64 -ldl -lm /usr/lib64/libfontconfig.so /usr/lib64/libfreetype.so -lz /usr/lib64/libexpat.so -lrt -lresolv -lnsl  -march=opteron -msse3 -Wl,--no-undefined -Wl,-O1   -pthread -Wl,-soname -Wl,xineplug_dmx_mpeg_ts.so -o .libs/xineplug_dmx_mpeg_ts.so
libtool: link: x86_64-pc-linux-gnu-gcc -shared  .libs/group_games.o .libs/demux_eawve.o .libs/demux_idcin.o .libs/demux_ipmovie.o .libs/demux_roq.o .libs/demux_vqa.o .libs/demux_wc3movie.o .libs/demux_str.o .libs/demux_film.o .libs/demux_smjpeg.o .libs/demux_4xm.o .libs/demux_vmd.o   -Wl,-rpath -Wl,/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/xine-engine/.libs ../../src/xine-engine/.libs/libxine.so -L/usr/lib64 -ldl -lm /usr/lib64/libfontconfig.so /usr/lib64/libfreetype.so -lz /usr/lib64/libexpat.so -lrt -lresolv -lnsl  -march=opteron -msse3 -Wl,-O1   -pthread -Wl,-soname -Wl,xineplug_dmx_games.so -o .libs/xineplug_dmx_games.so
libtool: link: x86_64-pc-linux-gnu-gcc -shared  .libs/demux_image.o   -Wl,-rpath -Wl,/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/xine-engine/.libs ../../src/xine-engine/.libs/libxine.so -L/usr/lib64 -ldl -lm /usr/lib64/libfontconfig.so /usr/lib64/libfreetype.so -lz /usr/lib64/libexpat.so -lrt -lresolv -lnsl  -march=opteron -msse3 -Wl,--no-undefined -Wl,-O1   -pthread -Wl,-soname -Wl,xineplug_dmx_image.so -o .libs/xineplug_dmx_image.so
libtool: link: x86_64-pc-linux-gnu-gcc -shared  .libs/xineplug_dmx_audio_la-group_audio.o .libs/xineplug_dmx_audio_la-demux_aud.o .libs/xineplug_dmx_audio_la-demux_aiff.o .libs/xineplug_dmx_audio_la-demux_cdda.o .libs/xineplug_dmx_audio_la-demux_mpgaudio.o .libs/xineplug_dmx_audio_la-demux_nsf.o .libs/xineplug_dmx_audio_la-demux_realaudio.o .libs/xineplug_dmx_audio_la-demux_snd.o .libs/xineplug_dmx_audio_la-demux_voc.o .libs/xineplug_dmx_audio_la-demux_vox.o .libs/xineplug_dmx_audio_la-demux_wav.o .libs/xineplug_dmx_audio_la-demux_ac3.o .libs/xineplug_dmx_audio_la-id3.o .libs/xineplug_dmx_audio_la-demux_aac.o .libs/xineplug_dmx_audio_la-demux_mod.o .libs/xineplug_dmx_audio_la-demux_flac.o .libs/xineplug_dmx_audio_la-demux_mpc.o .libs/xineplug_dmx_audio_la-demux_dts.o .libs/xineplug_dmx_audio_la-demux_shn.o .libs/xineplug_dmx_audio_la-demux_tta.o   -Wl,-rpath -Wl,/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/xine-engine/.libs ../../src/xine-engine/.libs/libxine.so -L/usr/lib64 -ldl -lm /usr/lib64/libfontconfig.so /usr/lib64/libfreetype.so -lz /usr/lib64/libexpat.so -lrt -lresolv -lnsl -lmodplug  -march=opteron -msse3 -Wl,--no-undefined -Wl,-O1   -pthread -Wl,-soname -Wl,xineplug_dmx_audio.so -o .libs/xineplug_dmx_audio.so
libtool: link: ( cd ".libs" && rm -f "xineplug_dmx_image.la" && ln -s "../xineplug_dmx_image.la" "xineplug_dmx_image.la" )
libtool: link: ( cd ".libs" && rm -f "xineplug_dmx_games.la" && ln -s "../xineplug_dmx_games.la" "xineplug_dmx_games.la" )
libtool: link: ( cd ".libs" && rm -f "xineplug_dmx_audio.la" && ln -s "../xineplug_dmx_audio.la" "xineplug_dmx_audio.la" )
libtool: link: ( cd ".libs" && rm -f "xineplug_dmx_asf.la" && ln -s "../xineplug_dmx_asf.la" "xineplug_dmx_asf.la" )
libtool: link: ( cd ".libs" && rm -f "xineplug_dmx_mpeg_ts.la" && ln -s "../xineplug_dmx_mpeg_ts.la" "xineplug_dmx_mpeg_ts.la" )
make[2]: Leaving directory `/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src/demuxers'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/work/xine-lib-1.1.16.3/src'
make: *** [all-recursive] Error 1
 * 
 * ERROR: media-libs/xine-lib-1.1.16.3-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3119:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed."
 *  The die message:
 *   emake failed.
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/log/portage/media-libs:xine-lib-1.1.16.3-r1:20091031-122110.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/xine-lib-1.1.16.3-r1/temp/environment'.
 * 

>>> Failed to emerge media-libs/xine-lib-1.1.16.3-r1, Log file:

>>>  '/var/log/portage/media-libs:xine-lib-1.1.16.3-r1:20091031-122110.log'

 * IMPORTANT: 6 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

 # emerge --info
Portage 2.1.6.13 (default/linux/amd64/10.0, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r5-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5000+-with-gentoo-1.12.11.1
Timestamp of tree: Wed, 28 Oct 2009 06:45:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 1.3.7, 2.1.9-r1
dev-lang/python:     2.4.4-r9, 2.5.4-r2, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=opteron -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=opteron -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.ISO-8859-1"
LC_ALL="en_US.ISO-8859-1"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j6"
PKGDIR="/usr/portage/packages/march-athlon64"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac acl alsa amd64 berkdb bitmap-fonts bzip2 cli cracklib crypt cups dri dvd dvdr dvdread fortran gdbm gpm gtk hal iconv ipv6 isdnlog joystick kdeenablefinal mad mmx modules mudflap multilib ncurses nls nptl nptlonly offensive opengl openmp oss pam pcre perl pppd python qt3support readline reflection sdl session smp spl sse sse2 ssl sysfs tcpd truetype-fonts type1-fonts unicode xinerama xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIRC_DEVICES="streamzap" USERLAND="GNU" VIDEO_CARDS="radeonhd radeon vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 46 Oleg Mikheev 2009-11-02 18:51:17 UTC
It seems that this bug is exactly what is being discussed in https://bugs.gentoo.org/271129.
They are not duplicates, but definitely related.
Comment 47 Sebastian Luther (few) 2009-11-11 09:18:01 UTC
*** Bug 292761 has been marked as a duplicate of this bug. ***
Comment 48 Christophe 2009-11-18 03:57:24 UTC
Same. Follow the workaround but lafilefixer did not fix the problem.

gst-plugins-theora emerge still fail on missing libogg.la
Comment 49 Mart Raudsepp gentoo-dev 2009-11-18 04:28:00 UTC
Try re-emerging libtheora, I have no idea why lafilefixer doesn't fix that sometimes (had someone else have the same problem with gst-plugins-theora getting blamed), maybe someone should investigate. I'm no fan of lafilefixer.
I'm also quite tired of this random uncoordinated *.la file removal, this however has been out for so long by now for libogg, that I guess it makes sense to keep it without *.la by now.
Comment 50 Christophe 2009-11-18 16:03:42 UTC
This is not a theora problem. I tried re-emerging it, or skipping it, it then fails on the next gst-plugins-*

---- error for gst theora
* Building external plugin ...
make -j3 
  CC    theora.o
  CC    theoraenc.o
  CC    theoradec.o
  CC    theoraparse.o
  LINK  libgsttheora.la
/bin/grep: /usr/lib64/libogg.la: No such file or directory
/bin/sed: can't read /usr/lib64/libogg.la: No such file or directory
libtool: link: `/usr/lib64/libogg.la' is not a valid libtool archive
make: *** [libgsttheora.la] Error 1

------ error for gst flac

* Building external plugin ...
make -j3 
  CC    gstflac.o
  CC    gstflacenc.o
  CC    gstflacdec.o
  CC    gstflactag.o
  LINK  libgstflac.la
/bin/sed: can't read /usr/lib64/libogg.la: No such file or directory
libtool: link: `/usr/lib64/libogg.la' is not a valid libtool archive
make: *** [libgstflac.la] Error 1

Comment 51 Fox 2009-11-23 23:42:02 UTC
Trying to emerge libsndfile. It ofc fails on libbogg.la.
However  lafilefixer --justfixit does not fix it. Nor reinstalling libogg.
There is no libogg.la anywehere in /usr*

lafilefixer outputs: 
Debug information:
/usr/lib/kde3/libkspreadcalc.la
/-lstdc++
Holy Moley, Dorothy, we ain't in Kansas and Luke, I'm not your father

emerge --info is here:

Portage 2.1.6.13 (default/linux/amd64/10.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.24-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.24-gentoo-r4-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-gentoo-1.12.13
Timestamp of tree: Mon, 23 Nov 2009 21:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 1.3.7-r1, 2.1.9-r1
dev-lang/python:     2.5.2-r7, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -pipe -msse3"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib64/mozilla/defaults/pref /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon64 -pipe -msse3"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://trumpetti.atm.tut.fi/gentoo/"
LANG="C"
LC_ALL="C"
LDFLAGS="-Wl,-O1"
LINGUAS="et"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync1.fi.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups dbus dri dts dvd dvdr dvdread eds emboss encode evo exif fam firefox flac fortran gdbm gif gpm gstreamer gtk hal iconv jpeg kde ldap libnotify lm_sensors mad mikmod mmx modules mp3 mp4 mpeg mudflap multilib nas ncurses network nls nptl nptlonly nvidia ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support qt4 quicktime readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd thunar tiff truetype unicode usb vorbis x264 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="intel8x0 ac97" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="kbd keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="et" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 52 Matthew Daubenspeck 2009-12-03 18:54:06 UTC
I figured I would add to this as well. I have tried every combination of voodoo magic to try and get the .la problem working, but over and over and over I get the same error when trying to emerge sox:

/bin/grep: /usr/lib/libogg.la: No such file or directory
/bin/sed: can't read /usr/lib/libogg.la: No such file or directory
libtool: link: `/usr/lib/libogg.la' is not a valid libtool archive
make[1]: *** [libsox.la] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/sox-14.3.0/work/sox-14.3.0/src'
make: *** [all-recursive] Error 1


Portage 2.1.6.13 (default/linux/x86/10.0, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.24-gentoo-r8 i686)
=================================================================
System uname: Linux-2.6.24-gentoo-r8-i686-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_4000+-with-gentoo-1.12.13
Timestamp of tree: Thu, 03 Dec 2009 06:30:01 +0000
sh: warning: setlocale: LC_ALL: cannot change locale (en_US)
distcc 3.1 i686-pc-linux-gnu [disabled]
sh: warning: setlocale: LC_ALL: cannot change locale (en_US)
app-shells/bash:     4.0_p28
dev-java/java-config: 1.3.7-r1, 2.1.9-r1
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.2/share/config /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/fax /usr/share/config /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://adelie.polymtl.ca/ ftp://ftp.gtlib.cc.gatech.edu/pub/gentoo"
LC_ALL="en_US"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://beeblebrox/portage"
USE="3dnow 3dnowext X a52 aac accessibility acl alsa apache2 avi bluetooth browserplugin bzip2 calendar cli cpudetection cracklib crypt dbus divx dri dvd dvdread encode faac faad ffmpeg flac fortran ftp gdbm gimp gimpprint gmedia gpm gtk2 iconv imagemagick imap java jpeg jpg kpathsea lame libsamplerate live mmx mmxext modules mozilla moznocompose moznoirc moznomail mp3 mp3i mp4 mpeg mudflap mysql ncurses network nptl nptlonly nsplugin nvidia ogg opengl openmp oss pam pcre perl png pppd python qt qt3support quicktime readline realmedia reflection rtsp samba session simplexml sox spl sqlite sse sse2 ssl stream sysfs tcpd tiff unicode usb vim-pager vorbis wacom win32codecs wmp x264 x86 xorg xv xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 53 Oleg Mikheev 2009-12-03 20:11:02 UTC
(In reply to comment #52)
> I figured I would add to this as well. I have tried every combination of voodoo
> magic to try and get the .la problem working, but over and over and over I get
> the same error when trying to emerge sox:
> /bin/grep: /usr/lib/libogg.la: No such file or directory
> /bin/sed: can't read /usr/lib/libogg.la: No such file or directory

This bug is FIXED :-)
We need to re-open it.
My understanding is that the original reporter Alexander Huemer <alexander.huemer@sbg.ac.at> can do that, I'm trying to contact him.
I'm sure that Gentoo developers can re-open it too, but I have no idea how to draw their attention other than to harass them, but that is prohibited by the Gentoo "Code of Conduct" as they taught me in http://bugs.gentoo.org/show_bug.cgi?id=292453
Comment 54 Samuli Suominen gentoo-dev 2009-12-03 20:15:51 UTC
This issue is resolved as per Comment #13. 

Any future discussion (constructive one, read: provide a patch to portage)
will be happening in bug 271129 as pointed out by Comment #46.

http://bugs.gentoo.org/show_bug.cgi?id=275597#c13
http://bugs.gentoo.org/show_bug.cgi?id=275597#c46
Comment 55 Yevgen Pronenko 2009-12-25 09:52:14 UTC
(In reply to comment #54)
> This issue is resolved as per Comment #13. 
Does not work.

Can not emerge media-plugins/gst-plugins-flac-0.10.16 because of lack of libogg.la.

  LINK  libgstflac.la
/bin/sed: can't read /usr/lib/libogg.la: No such file or directory
libtool: link: `/usr/lib/libogg.la' is not a valid libtool archive
make: *** [libgstflac.la] Error 1

I have executed lafilefixer --justfixit many times, re-emerged libogg, executed revdep-rebuild in all possible combinations. Still does not work. 


$ emerge --info
Portage 2.1.6.13 (default/linux/x86/10.0/desktop, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r6 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r6-i686-Intel-R-_Core-TM-2_Duo_CPU_E6550_@_2.33GHz-with-gentoo-1.12.13
Timestamp of tree: Tue, 22 Dec 2009 12:45:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p35
dev-java/java-config: 1.3.7-r1, 2.1.9-r2
dev-lang/python:     2.4.4-r13, 2.5.4-r3, 2.6.4
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://de-mirror.org/distro/gentoo/ http://mirror.cambrium.nl/pub/os/linux/gentoo/ ftp://mirror.cambrium.nl/pub/os/linux/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en ru uk"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa bash-completion berkdb bluetooth branding bzip2 cairo cddb cdr cli consolekit cracklib crypt cups cxx dbus directfb doc dri dts dvd dvdr eds emboss encode evo examples exif fam ffmpeg firefox flac fortran ftp gdbm gif gimp gnome gpm gstreamer gtk hal iconv icq ipod jabber jpeg jpeg2k kde ldap libnotify mad mikmod mng modules mp3 mp4 mpeg mplayer mudflap ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3support qt4 quicktime raw readline reflection samba sdl session spell spl sse sse2 ssl ssse3 startup-notification svg sysfs tcpd threads thunar tiff truetype unicode usb vim-syntax vorbis win32codecs x264 x86 xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en ru uk" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 56 Oleg Mikheev 2009-12-25 23:02:45 UTC
(In reply to comment #55)
> (In reply to comment #54)
> > This issue is resolved as per Comment #13. 
> Does not work.

You probably don't understand what 'resolved' means.
'Resolved' doesn't mean that the issue is resolved.
It means that you should discuss it in a more suitable thread bug 271129.
Comment 57 Sergey Zakharov 2010-02-02 13:57:33 UTC
Here is a trick:

cd /tmp/
tar -xvjf /usr/portage/distfiles/libogg-[your installed version]
cd ./libogg-[your installed version]/
./.configure
make
cp ./src/libogg.la /usr/lib64/


Comment 58 Sergey Zakharov 2010-02-03 10:03:35 UTC
(In reply to comment #57)
> Here is a trick:
> 
> cd /tmp/
> tar -xvjf /usr/portage/distfiles/libogg-[your installed version]
> cd ./libogg-[your installed version]/
> ./.configure
> make
> cp ./src/libogg.la /usr/lib64/
> 

Sorry, some more steps.
-locate installed libogg.so
-unpack libogg archive from distfiles
-configure and make
-edit ./src/libogg.la:
 libdir='libdir_where_libogg.so'
 installed=yes
-copy ./src/libogg.la to libdir_where_libogg.so







Comment 59 Samuli Suominen gentoo-dev 2010-02-18 09:48:54 UTC
*** Bug 305699 has been marked as a duplicate of this bug. ***